package com.syc.slm.common.core.util;

import com.google.common.collect.Maps;
import com.syc.slm.slmbi.exception.SysException;
import org.apache.commons.lang3.StringUtils;
import org.springframework.web.context.request.RequestAttributes;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Map;
/**
 * slm-bi
 *  ServletUtils  工具类
 * @author : lin
 * @date : 2021-04-13 10:15
 **/
public final class ServletUtils {
	/**
	 * 获取HttpServletRequest
	 * @return request
	 */
	public static HttpServletRequest getHttpServletRequest() {
		RequestAttributes attr = RequestContextHolder.getRequestAttributes();
		if(attr==null) {
			throw new SysException("无法提取 request");
		}
		return ((ServletRequestAttributes) attr).getRequest();
	}

	public static Map<String, String> getHeaderMap(HttpServletRequest request){
		Map<String,String> result = Maps.newHashMap();
		Enumeration<String> names = request.getHeaderNames();
		String name;
		while(names.hasMoreElements()){
			name = names.nextElement();
			String val = request.getHeader(name);
			if(StringUtils.isNotEmpty(val)) {
				result.put(name, val);
			}
		}
		return result;
	}
}
