package com.syc.slm.slmbi.controller;

import com.syc.slm.common.core.util.R;
import com.syc.slm.slmbi.service.DeptService;
import com.syc.slm.slmbi.vo.DeptVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * slm-bi
 * 部门
 *
 * @author : lin
 * @date : 2021-03-25 18:39
 **/
@RequestMapping("/{appId}/departments")
@RestController
@Api(value = "部门信息接口", tags = "部门信息接口")
public class DeptController extends BaseRestController{

    @Autowired
    private DeptService deptService;

    @GetMapping
    @ApiOperation("部门查询")
    @ApiImplicitParams({@ApiImplicitParam(name = "deptName", value = "部门名称",dataTypeClass = String.class),
        @ApiImplicitParam(name = "appId", value = "租户id", required = true,dataTypeClass = String.class)})
    public R<List<DeptVo>> selectDeptList(@PathVariable String appId,
        @RequestParam(value = "deptName", required = false) String deptName) {
        return call(()->(deptService.selectPositionList(dcClientHost+deptListUrl,token, appId, deptName)));
    }
}
