package com.syc.slm.slmbi.controller;

import com.syc.slm.common.core.util.R;
import com.syc.slm.slmbi.service.PositionService;
import com.syc.slm.slmbi.vo.PositionVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.apache.catalina.Host;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * slm-bi
 * 职位查询控制器
 *
 * @author : lin
 * @date : 2021-03-25 17:26
 **/
@Api(value = "职位查询列表", tags = "职位查询列表")
@RestController
@RequestMapping("/{appId}/positions")
public class PositionController extends BaseRestController{

    @Autowired
    private PositionService positionWorkService;

    @GetMapping
    @ApiOperation("职位查询列表")
    @ApiImplicitParams({@ApiImplicitParam(name = "appId", value = "租户id", required = true,dataTypeClass = String.class),
        @ApiImplicitParam(name = "positionName", value = "职位名称",dataTypeClass = String.class)})
    public R<List<PositionVo>> selectPositionList(@PathVariable String appId,
        @RequestParam(value = "positionName", required = false) String positionName) {
        return call(()->(positionWorkService.selectPositionList(dcClientHost+positionListUrl,token, appId, positionName)));
    }
}
