package com.syc.slm.slmbi.controller;

import com.syc.slm.common.core.util.R;
import com.syc.slm.slmbi.service.UserService;
import com.syc.slm.slmbi.vo.UserTreeVo;
import com.syc.slm.slmbi.vo.UserVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * slm-bi
 * 用户信息
 *
 * @author : lin
 * @date : 2021-03-25 18:45
 **/
@Api(value = "用户信息", tags = "用户信息接口")
@RestController
@RequestMapping("/{appId}/users")
public class UserController extends BaseRestController{

    @Autowired
    private UserService userService;

    @GetMapping
    @ApiOperation("用户查询,左边树调用部门树不要传入部门名称，然后右边用户的搜索在页面匹配就好了，一开始会返回所有部门的用户回去")
    @ApiImplicitParams({@ApiImplicitParam(name = "appId", value = "租户id", required = true,dataTypeClass = String.class)})
    public R<List<UserTreeVo>> selectUserList(@PathVariable String appId) {
        return call(()->(userService.selectUserList(appId,dcClientHost+userTree,token,null)));
    }

}
