package com.syc.slm.slmbi.dao;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.syc.slm.slmbi.entity.InstrumentPanelGroup;
import com.syc.slm.slmbi.vo.InstrumentPanelGroupVo;
import com.syc.slm.slmbi.vo.PanelTreeNodeVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Set;

/**
 * slm-bi
 * 仪表板分组
 *
 * @author : lin
 * @date : 2021-03-25 15:46
 **/
@Component
public interface InstrumentPanelGroupMapper extends BaseMapper<InstrumentPanelGroup> {
    /**
     * 根据id 批量修改分组状态
     * @param groupIds
     * @param recordStatus
     */
    void batchUpdateGroupByIds(@Param("groupIds") Set<String> groupIds,@Param("recordStatus") Integer recordStatus);

    /**
     * 根据分组名字匹配分组
     * @param where
     * @return
     */
    List<InstrumentPanelGroupVo> selectGroupList(@Param("ew") LambdaQueryWrapper<InstrumentPanelGroup> where);

    List<PanelTreeNodeVo> selectGroupByIds(@Param("finalPanelIds") Set<String> finalPanelIds, @Param("name") String name);
}
