package com.syc.slm.slmbi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

/**
 * slm-bi
 * 历史变量数据查询DTO
 * @author : lin
 * @date : 2021-03-30 15:21
 **/
@Data
@ApiModel(value = "历史变量数据查询DTO")
@EqualsAndHashCode(callSuper=false)
public class HistoryVariableDTO {
    @ApiModelProperty(value = "所属设备", required = true)
    private String deviceId;
    @ApiModelProperty(value = "统计类型,代表(合计值 1，平均值 2，最大值 3，最小值 4)", required = true)
    private Integer statisticsType;
    @ApiModelProperty(value = "变量集合ids", required = true)
    private List<String> variableIds;
    @ApiModelProperty(value = "开始时间",required = true)
    private Date startTime;
    @ApiModelProperty(value = "结束时间", required = true)
    private Date endTime;
    @ApiModelProperty(value = "以变量为维度是1 , 以时间为维度是2", required = true)
    private Integer dimension;
}
