package com.syc.slm.slmbi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * slm-bi
 * 仪表板样式，数据配置显示类
 *
 * @author : lin
 * @date : 2021-03-25 15:39
 **/
@Data
@ApiModel(value = "仪表板配置DTO")
@EqualsAndHashCode(callSuper = false)
public class InstrumentPanelConfigDTO {
    @ApiModelProperty(value = "仪表板id", required = true)
    private String panelId;


    @ApiModelProperty(value = "仪表板配置详情，包含了样式，数据配置", required = true)
    private String configDetails;


    @ApiModelProperty(value = "仪表板配置组件集合", required = true)
    private List<InstrumentPanelAssemblyDTO> assemblys;

    @ApiModelProperty(value = "访问权限", required = true)
    private InstrumentPanelPermissionDTO permission;

}
