package com.syc.slm.slmbi.dto;

import com.syc.slm.slmbi.enums.StatisticsType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * slm-bi
 * 实时变量DTO
 * @author : lin
 * @date : 2021-03-30 15:05
 **/
@ApiModel("实时变量DTO")
@Data
public class RealTimeVariableDTO {
    @ApiModelProperty(value = "所属设备", required = true)
    private String deviceId;
    @ApiModelProperty(value = "时间格式", required = true)
    private String format;
    @ApiModelProperty(value = "时间间隔,代表(天，时，分，秒)", required = true)
    private Integer interval;
    @ApiModelProperty(value = "统计类型,代表(合计值，平均值，最大值，最小值)", required = true)
    private StatisticsType statisticsType;
    @ApiModelProperty(value = "变量集合ids", required = true)
    private List<String> variableIds;
    @ApiModelProperty(value = "以变量为维度是1 , 以时间为维度是2", required = true)
    private Integer dimension;  //FIXME 考虑用枚举
}
