package com.syc.slm.slmbi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * slm-bi
 * 保存仪表板DTO
 *
 * @author : lin
 * @date : 2021-03-30 16:11
 **/
@ApiModel(value = "查询仪表板列表DTO")
@Data
@EqualsAndHashCode(callSuper = false)
public class SaveInstrumentPanelDTO {
    @ApiModelProperty(value = "仪表板名称", required = true)
    private String name;

    @ApiModelProperty(value = "仪表板归属分组", required = true)
    private String groupId;

    @ApiModelProperty(value = "仪表板配置详情，包含了样式，数据配置", required = true)
    private String configDetails;

    @ApiModelProperty(value = "仪表板配置组件集合", required = true)
    private List<InstrumentPanelAssemblyDTO> assemblys;

    @ApiModelProperty(value = "访问权限", required = true)
    private InstrumentPanelPermissionDTO permission;
}
