package com.syc.slm.slmbi.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * slm-bi
 * 公共字段
 *
 * @author : lin
 * @date : 2021-03-25 20:16
 **/
@ApiModel(description = "公共的实体类")
@Data
@EqualsAndHashCode(callSuper = true)
public class BaseEntity<T extends Model<?>> extends Model<T> {
    /**
     * 主键
     */
    @TableId
    @ApiModelProperty(value = "主键")
    protected String id;
    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id")
    @TableField(fill = FieldFill.INSERT)
    protected String appId;

    @ApiModelProperty(value = "创建人主键")
    @TableField(fill = FieldFill.INSERT)
    protected String creator;
    @ApiModelProperty(value = "创建人名称")
    @TableField(fill = FieldFill.INSERT)
    protected String creatorName;
    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    protected Date createTime;
    @ApiModelProperty(value = "修改人主键")
    @TableField(fill = FieldFill.UPDATE)
    protected String updater;
    @ApiModelProperty(value = "修改人名称")
    @TableField(fill = FieldFill.UPDATE)
    protected String updaterName;
    @ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    protected Date updateTime;
    @ApiModelProperty(value = "状态")
    @TableField(fill = FieldFill.INSERT)
    protected Integer recordStatus;
    @ApiModelProperty(value = "描述")
    protected String description;

    @Override
    protected Serializable pkVal() {
        return id;
    }
}
