package com.syc.slm.slmbi.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 仪表板权限
 *
 * @author lin
 * @date 2021-04-01 10:52:44
 */
@Data
@TableName("instrument_panel_permission")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "仪表板权限")
public class InstrumentPanelPermission extends BaseEntity<InstrumentPanelPermission> {
    /**
     * 仪表板id
     */
    @ApiModelProperty(value = "仪表板id")
    private String panelId;
    /**
     * 业务id（岗位，部门，个体用户）
     */
    @ApiModelProperty(value = "业务id（岗位，部门，个体用户）")
    private String bizId;
    /**
     * 业务名称（岗位，部门，个体用户名称）
     */
    @ApiModelProperty(value = "业务名称（岗位，部门，个体用户名称）")
    private String bizName;
    /**
     * 业务归属类型
     */
    @ApiModelProperty(value = "业务归属类型")
    private String bizType;
    /**
     * 1代表第一版数据，2代表保存发布再次保存得数据
     */
    @ApiModelProperty(value = "1代表第一版数据，2代表保存发布再次保存得数据")
    private String published;
}
