package com.syc.slm.slmbi.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 仪表板树聚合表
 *
 * @author lin
 * @date 2021-04-01 10:52:44
 */
@Data
@TableName("instrument_panel_tree")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "仪表板树聚合表")
public class InstrumentPanelTree extends BaseEntity<InstrumentPanelTree> {
    /**
     * 节点全路径id
     */
    @ApiModelProperty(value = "节点全路径id")
    private String fullId;

    @ApiModelProperty(value = "节点名字")
    private String name;
    /**
     * 节点全路径
     */
    @ApiModelProperty(value = "节点全路径")
    private String fullName;
    /**
     * 节点类型
     */
    @ApiModelProperty(value = "节点类型")
    private String nodeType;
    @ApiModelProperty(value = "组件key")
    private String assemblyKey;

    @ApiModelProperty(value = "父级id")
    @TableField(exist = false)
    private String parentId;




}
