package com.syc.slm.slmbi.handler;

import com.syc.slm.common.core.util.R;
import com.syc.slm.slmbi.exception.SysException;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;

/**
 * slm-bi
 * 全局业务异常处理
 * @author : lin
 * @date : 2021-04-16 17:34
 **/
@ControllerAdvice
@Slf4j
public class SysExceptionHandler {

    	/**
    	 * 业务异常
    	 *
    	 * @param e exception
    	 * @return exception
    	 */
    	@ExceptionHandler(SysException.class)
    	@ResponseBody
    	public R<Object> handleSysException(SysException e, HttpServletRequest request) {
    		log.info(e.getMsg());
    		return R.bad(e.getMsg(),e.getDebugMsg());
    	}

}
