package com.syc.slm.slmbi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.syc.slm.slmbi.dto.InstrumentPanelGroupDTO;
import com.syc.slm.slmbi.entity.InstrumentPanelGroup;
import com.syc.slm.slmbi.vo.InstrumentPanelGroupVo;
import com.syc.slm.slmbi.vo.PanelTreeNodeVo;
import lombok.NonNull;

import java.util.List;
import java.util.Set;

/**
 * slm-bi
 * 仪表板
 *
 * @author : lin
 * @date : 2021-03-25 15:10
 **/
public interface InstrumentPanelGroupService extends IService<InstrumentPanelGroup> {

    /**
     * 查询仪表板分组
     * @param appId
     * @param name
     * @return
     */
    List<InstrumentPanelGroupVo> selectGroupList(String appId, String name);

    /**
     * 删除仪表板分组
     *
     * @param groupId
     * @return
     */
    String delGroup(@NonNull String groupId);

    /**
     * 修改仪表板分组
     * @param group
     * @param appId
     * @return
     */
    String updateGroup(@NonNull InstrumentPanelGroupDTO group,String appId);

    /**
     * 保存仪表板分组
     * @param group
     * @param appId
     * @return
     */
    String saveGroup(@NonNull InstrumentPanelGroupDTO group,String appId);

    /**
     * 根据分组id集合 已经名称批量查询仪表板分组
     * @param finalPanelIds
     * @param name
     * @return
     */
    List<PanelTreeNodeVo> selectGroupByIds(Set<String> finalPanelIds,String name);
}
