package com.syc.slm.slmbi.service.impl;

import com.google.common.collect.Maps;
import com.google.gson.reflect.TypeToken;
import com.syc.slm.common.core.util.R;
import com.syc.slm.common.core.util.RestTemplateUtils;
import com.syc.slm.slmbi.service.DeptService;
import com.syc.slm.slmbi.vo.DeptVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * slm-bi
 * 部门信息
 *
 * @author : lin
 * @date : 2021-03-25 18:41
 **/
@Service
@Slf4j
public class DeptServiceImpl implements DeptService {


    @Override
    public List<DeptVo> selectPositionList(String uri, String token, String appId, String deptName) {
        log.info("部门查询uri:---------------->"+uri);
        log.info("部门查询token:---------------->"+token);
        Map<String,String> heads = Maps.newHashMap();
        heads.put("token",token);
        Map<String,String> uriVariables =Maps.newHashMap();
        uriVariables.put("deptName",deptName);
        uriVariables.put("appId",appId);

        R<List<DeptVo>> result = RestTemplateUtils.get(uri, heads, new TypeToken<R<List<DeptVo>>>() {}.getType(), uriVariables);
        return result.detach();
    }
}
